Bug 507932 - [RHEL 5.4] sky2: /proc/net/dev statistics are broken
[RHEL 5.4] sky2: /proc/net/dev statistics are broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Flavio Leitner
Red Hat Kernel QE team
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 14:48 EDT by Flavio Leitner
Modified: 2010-10-23 06:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch adding sky2_get_stats() (1.49 KB, patch)
2009-06-24 15:10 EDT, Flavio Leitner
no flags Details | Diff

  None (edit)
Description Flavio Leitner 2009-06-24 14:48:51 EDT
Description of problem:

[root@localhost ~]# cat /proc/net/dev
Inter-|   Receive                                                | 
Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes   
packets errs drop fifo colls carrier compressed
    lo:    3920      48    0    0    0     0          0         0     3920
     48    0    0    0     0       0          0
  eth1: No statistics available.
  eth0: 1767414    6684    0    0    0     0          0         0    16060
     53    0    0    0     0       0          0
  sit0:       0       0    0    0    0     0          0         0        0
      0    0    0    0     0       0          0
[root@localhost ~]#

Kernel: 2.6.18-152.el5

The patch below introduced this problem:
---
  commit b4f307a628db4939237fc6c53cacc5a5800373ba
  Author: Neil Horman <nhorman@redhat.com>
  Date:   Wed Feb 11 16:32:33 2009 -0500

    [net] sky2: update driver for RHEL-5.4
    
    Message-id: 20090211213233.GI9114@hmsendeavour.rdu.redhat.com
    O-Subject: [RHEL 5.4 PATCH] sky2: update to latest upstream driver (bz 48471
    Bugzilla: 484712
    RH-Acked-by: David Miller <davem@redhat.com>
    RH-Acked-by: Thomas Graf <tgraf@redhat.com>
    RH-Acked-by: Andy Gospodarek <gospo@redhat.com>
    
    Hey all-
        Update of the sky2 driver to the latest revision to support new hardware
    
    Brew build:
    https://brewweb.devel.redhat.com/taskinfo?taskID=1691744
    
    resolves bz 484712
---

I'll attach the patch fixing this problem.
Comment 1 Flavio Leitner 2009-06-24 15:10:10 EDT
Created attachment 349299 [details]
patch adding sky2_get_stats() 

Testing feedback: https://bugzilla.redhat.com/show_bug.cgi?id=501050#c45
Comment 2 Flavio Leitner 2009-06-24 15:21:33 EDT
Patch posted: 
http://post-office.corp.redhat.com/archives/rhkernel-list/2009-June/msg00762.html
Flavio
Comment 5 Neil Horman 2009-06-24 16:06:33 EDT

*** This bug has been marked as a duplicate of bug 503080 ***
Comment 8 RHEL Product and Program Management 2009-06-29 16:53:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Don Zickus 2009-07-07 11:05:41 EDT
in kernel-2.6.18-157.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 14 errata-xmlrpc 2009-09-02 04:21:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.